Package org.apache.solr.common.util

# Class DataInputInputStream

java.lang.Object
java.io.InputStream
org.apache.solr.common.util.DataInputInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`

Direct Known Subclasses:
  `FastInputStream`

public abstract class DataInputInputStream extends InputStream implements DataInput
An abstract DataInput that extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`DataInputInputStream()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`readDirectByteBuffer(int sz)`
If possible, read ByteBuffer directly from the underlying buffer

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

## Constructor Details

### DataInputInputStream

public DataInputInputStream()

## Method Details

### readDirectByteBuffer

public ByteBuffer readDirectByteBuffer(int sz)
If possible, read ByteBuffer directly from the underlying buffer

Parameters:
  `sz` - the size of the buffer to be read